Subject: [alpine-aports] [PATCH] testing/rlog: new aport

From: ScrumpyJack <[email-masked]>
Date: Thu, 15 Jan 2015 10:06:20 +0000 (UTC)

http://www.arg0.net/rlog
A flexible message logging facility for C++ programs and libraries.
---
 testing/rlog/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/rlog/APKBUILD

diff --git a/testing/rlog/APKBUILD b/testing/rlog/APKBUILD
new file mode 100644
index 0000000..089cb26
--- /dev/null
+++ b/testing/rlog/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=rlog
+pkgver=1.4
+pkgrel=0
+pkgdesc="A flexible message logging facility for C++ programs and 
libraries."
+url="http://www.arg0.net/rlog"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://rlog.googlecode.com/files/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}/" install
+	find ${pkgdir} -type f -name "*.la" -exec rm {} \;
+}
+
+md5sums="c29f74e0f50d66b20312d049b683ff82  rlog-1.4.tar.gz"
+sha256sums="a938eeedeb4d56f1343dc5561bc09ae70b24e8f70d07a6f8d4b6eed32e783f79  
rlog-1.4.tar.gz"
+sha512sums="a0af9afd6c5329ec4269a7778c3236b9e0b438cba65ed0a6f9cd7e802d196b7908eed5ab663f52905869cacffc7f1964b20ab2a53b37dbe65f1c8a9226cc423e  
rlog-1.4.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 15 Jan 2015 11:25:46 +0100

On Thu, 15 Jan 2015 10:06:20 +0000 (UTC)

> +++ b/testing/rlog/APKBUILD

Your mailer inserted a newline so patch didn't apply.

> +url="http://www.arg0.net/rlog"

...

> +sha512sums="a0af9afd6c5329ec4269a7778c3236b9e0b438cba65ed0a6f9cd7e802d196b7908eed5ab663f52905869cacffc7f1964b20ab2a53b37dbe65f1c8a9226cc423e  

2 more inserted newlines in the sha256sums. I manually edited those and it applied.

Please read the Alpine (TUI) section here how to configure your email client:
https://www.kernel.org/doc/Documentation/email-clients.txt

Maybe we should also write that in our wiki?

-nc

---